# Near (NEAR)

{% tabs %}
{% tab title="Mainnet" %}

<table><thead><tr><th width="186" align="center">Name</th><th width="317" align="center">Address</th><th>Commission rate</th></tr></thead><tbody><tr><td align="center">Kiln</td><td align="center"><a href="https://explorer.near.org/accounts/kiln.poolv1.near">kiln.poolv1.near</a></td><td>100%</td></tr><tr><td align="center">Kiln-1</td><td align="center"><a href="https://explorer.near.org/accounts/kiln-1.poolv1.near">kiln-1.poolv1.near</a></td><td>5%</td></tr></tbody></table>
{% endtab %}

{% tab title="Testnet" %}

<table><thead><tr><th width="136" align="center">Name</th><th align="center">Address</th></tr></thead><tbody><tr><td align="center">Kiln</td><td align="center"><a href="https://explorer.testnet.near.org/accounts/kiln.pool.f863973.m0">kiln.pool.f863973.m0</a></td></tr></tbody></table>
{% endtab %}
{% endtabs %}

## Staking mechanics

<table data-header-hidden><thead><tr><th width="344">Parameter</th><th>Value</th></tr></thead><tbody><tr><td><strong>Stake activation time</strong></td><td>0-7.5 hours (end of current epoch)</td></tr><tr><td><strong>Stake lock-up time</strong> </td><td>22.5-30 hours (end of current epoch and 3 others)</td></tr><tr><td><strong>Re-delegating activation time</strong></td><td>0-7.5 hours (end of current epoch)</td></tr><tr><td><strong>Rewards frequency</strong></td><td>First rewards: one epoch after stake is active (0-7.5 hours + 7.5 hours).<br><br>Rewards frequency: end of every epoch (~7.5 hours).<br><br>Last rewards: last reward earned before unstaking.</td></tr><tr><td><strong>Auto-compounding</strong></td><td>Yes</td></tr><tr><td><strong>Self-bond</strong></td><td>None</td></tr><tr><td><strong>Active set</strong></td><td>Yes (378 validators, list <a href="https://nearblocks.io/node-explorer">here</a>)</td></tr><tr><td><strong>Slashing</strong></td><td>None</td></tr><tr><td><strong>Relationship between validator stake balance and rewards</strong></td><td>Linear. The more stake balance there is on the validator, the more rewards it will earn.</td></tr></tbody></table>

## Staking workflow

<table data-header-hidden><thead><tr><th width="348">Parameter</th><th>Value</th></tr></thead><tbody><tr><td><strong>How does staking work?</strong></td><td>NEAR is a PoS network, however delegation is not implemented at the protocol. Instead, validators (such as Kiln’s) deploy a standardised smart contract to which delegations are sent.<br><br>From a user perspective, similarly to dPOS protocols the act of delegation just involves sending one transaction, which you can do on this page using the widget on the right. <a href="https://explorer.testnet.near.org/transactions/37q4wSRkwwnzz1VZzixQkKDrZ3afRgUxVEF7YZkuHir8">Here</a> is an example of such a transaction, delegating 5 NEAR to the Kiln validator on testnet.<br><br>For more details on how staking works on NEAR, <a href="https://docs.near.org/docs/develop/node/validator/staking-and-delegation">visit this page</a>.</td></tr><tr><td><strong>What is the staking process?</strong></td><td>Tokens are sent to the validator Smart Contract using the deposit_and_stake function of the contract.</td></tr><tr><td><strong>Do funds move out to another wallet?</strong></td><td>Yes, they are sent to the pool smart contract.</td></tr><tr><td><strong>Can I keep staking/unstaking from/to the same wallet?</strong> </td><td>Yes, you can increase the staked amount or unstake part of it at anytime.</td></tr><tr><td><strong>Can I select how much of my wallet balance I want to stake?</strong></td><td>Yes, you select the amount of tokens you want to stake to earn rewards.</td></tr><tr><td><strong>How do I unstake?</strong></td><td>You can unstake from Kiln dashboard by going to your account containing your NEAR stakes, and clicking unstake. Note, that once you unstake, it will take 3-4 epochs (22.5-30hrs) for you to be able to withdraw the tokens to your wallet.</td></tr><tr><td><strong>Can I unstake part of the staked balance?</strong></td><td>Yes, you can select the amount of tokens you want to unstake.</td></tr><tr><td><strong>How is my balance computed at epoch N for the rewards distribution?</strong></td><td>The balance computed at epoch N for the rewards distribution is the balance at the beginning of epoch N.</td></tr><tr><td><strong>What is the slashing risk on NEAR?</strong></td><td>Slashing is not yet implemented on NEAR, so there is a very limited risk of collateral losses.</td></tr><tr><td><strong>How is commission paid?</strong></td><td>The Kiln NEAR validator retains a commission - a % of staking rewards earned - by default.</td></tr></tbody></table>

## Staking links

<table data-header-hidden><thead><tr><th width="348">Parameter</th><th>Value</th></tr></thead><tbody><tr><td><strong>How can I get testnet tokens?</strong></td><td>You can request some <a href="https://near-faucet.io">here</a>.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kiln.fi/v1/kiln-products/validators/protocols/near-near.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
